Retrieve ACK
Use the following endpoint to retrieve the E2B acknowledgement message (ACK) after sending an intake call:
GET
/api/{version}/app/safety/intake/ackThe Retrieve ACK endpoint can be used with the following Safety intake endpoints:
- Intake Inbox Item
- Intake Imported Case
Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json |
URL Parameters
Section link for URL Parameters| Name | Description |
|---|---|
inbound_id | The Inbound Transmission ID for the ICSR intake job. |
Request
Section link for Requestcurl --location --request GET 'https://myvault.veevavault.com/api/v25.3/app/safety/intake/ack?inbound_id=V29000000005001' \
--header 'Authorization: {SESSION_ID}' \
--header 'Content-Type: multipart/form-data' \
--form 'file=@"/directory/e2b_r3_restolar.xml"' \
--form 'format="e2br3__v"'Response
Section link for Response<?xml version="1.0" encoding="utf-8"?>
<MCCI_IN200101UV01 xmlns="urn:hl7-org:v3" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="urn:hl7-org:v3 http://eudravigilance.ema.europa.eu/xsd/multicacheschemas/MCCI_IN200101UV01.xsd" ITSVersion="XML_1.0">
<!--ACK.M.1 - Acknowledgement Batch Number-->
<id root="2.16.840.1.113883.3.989.2.1.3.20" extension="b4e413b2-7263-48b5-b957-839fea7c7edc"/>
<!--ACK.M.4 - Date of Message-->
<creationTime value="20210618154357-0400"/>
<!--Mandatory element-->
<responseModeCode code="D"/>
<interactionId extension="MCCI_IN200101UV01" root="2.16.840.1.113883.1.6"/>
<MCCI_IN000002UV01>
<!--ACK.B.r.2 - Local Report Number-->
<id root="2.16.840.1.113883.3.989.2.1.3.19" extension="VERN-123-123-123"/>
<!--ACK.M.4 - ACK Date of Batch Transmission-->
<creationTime value="20210618154357-0400"/>
<interactionId root="2.16.840.1.113883.1.18" extension="MCCI_IN000002UV01"/>
<processingCode code="P"/>
<processingModeCode code="T"/>
<acceptAckCode code="NE"/>
<receiver typeCode="RCV">
<device determinerCode="INSTANCE" classCode="DEV">
<!--ACK.B.r.3: ICSR Message Receiver Identifier-->
<id root="2.16.840.1.113883.3.989.2.1.3.16" extension="ICHTEST"/>
</device>
</receiver>
<sender typeCode="SND">
<device determinerCode="INSTANCE" classCode="DEV">
<!--ACK.B.r.4: ICSR Message Sender Identifier-->
<id root="2.16.840.1.113883.3.989.2.1.3.15" extension="DSJP"/>
</device>
</sender>
<attentionLine>
<!--ACK.B.r.5 - Receipt date-->
<keyWordText codeSystemVersion="2.0" codeSystem="2.16.840.1.113883.3.989.2.1.1.24" code="1"/>
<value value="20120720100001+09" xsi:type="TS"/>
</attentionLine>
<!--ACK.B.r.6 - Acknowledgement Report Code-->
<acknowledgement typeCode="CA">
<targetMessage>
<!--ACK.B.r.1 - Safety Report ID ICSR Message Number-->
<id root="2.16.840.1.113883.3.989.2.1.3.1" extension="VERN-123-123-123"/>
</targetMessage>
<acknowledgementDetail>
<!--ACK.B.r.7 - Error/Warning message / comment-->
<text>[F.r.5 Normal High Value (Unit), mg/dl] inconsistent_unit; [C.5.3, 0105798/01] unable_to_link_study_for_wrong_type; [C.5.1.r.1, 2004-09102-03] unable_to_link_study_for_wrong_type; [C.5.1.r.2, EU] unable_to_link_study_for_wrong_type; [C.5.1.r.1, NL...</text>
</acknowledgementDetail>
</acknowledgement>
</MCCI_IN000002UV01>
<receiver typeCode="RCV">
<device determinerCode="INSTANCE" classCode="DEV">
<!--ACK.M.3 - Acknowledgement Batch Receiver Identifier-->
<id root="2.16.840.1.113883.3.989.2.1.3.18" extension="DSJP"/>
</device>
</receiver>
<sender typeCode="SND">
<device determinerCode="INSTANCE" classCode="DEV">
<!--ACK.M.2 - Acknowledgement Batch Sender Identifier-->
<id root="2.16.840.1.113883.3.989.2.1.3.17" extension="ICHTEST"/>
</device>
</sender>
<attentionLine>
<!--ACK.A.2 - Local Message Number-->
<keyWordText codeSystemVersion="2.0" codeSystem="2.16.840.1.113883.3.989.2.1.1.24" code="2"/>
<value root="2.16.840.1.113883.3.989.2.1.3.21" extension="TR-000006_b4e413b2-7263-48b5-b957-839fea7c7edc_20210618194357" xsi:type="II"/>
</attentionLine>
<attentionLine>
<!--ACK.A.3 - Date of ICSR Batch Transmission-->
<keyWordText codeSystemVersion="2.0" codeSystem="2.16.840.1.113883.3.989.2.1.1.24" code="3"/>
<value value="20120720100000" xsi:type="TS"/>
</attentionLine>
<!--ACK.A.4- Transmission Acknowledgment Code-->
<acknowledgement typeCode="AE">
<targetBatch>
<!--ACK.A.1 - ICSR Batch Number -->
<id root="2.16.840.1.113883.3.989.2.1.3.22" extension="DSJP-B0123456"/>
</targetBatch>
<!--ACK.A.5 - Batch Validation Error-->
<acknowledgementDetail>
<text>[F.r.5 Normal High Value (Unit), mg/dl] inconsistent_unit; [C.5.3, 0105798/01] unable_to… See B.r.7</text>
</acknowledgementDetail>
</acknowledgement>
</MCCI_IN200101UV01>Response Details
Section link for Response DetailsOn SUCCESS, the response returns the ACK XML. The ACK is returned in the same E2B format as the intake file.
On FAILURE, the response returns a message describing the reason for the failure.